function spbf=bf(sp,nt,ns)

% spbf=bf(sp,nt,na,nb) - eliminate baseline roll from probe ring
%		
%	sp:		absorptive phased real spectrum  
%	nt:		number of points in fid distorted by probe ring (ringtime/dw) 
%				increment from 1 until flat baseline  
%	ns			nx2 array defining regions of wanted signal

[n m]=size(sp);
[nsr m]=size(ns);
   
rsp=sp; 
for k=1:nsr
   n1=ns(k,1);	n2=ns(k,2);
   rsp(n1:n2)=sp(n1)+((n1:n2)-n1)/(n2-n1)*(sp(n2)-sp(n1));
end
rfid=ifft(rsp);	rfid(nt+1:n-nt)=0;
spbf=real(fft(ifft(sp)-rfid));

